pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | List of all members
pfodRawCmdParser Class Reference

`#include <pfodRawCmdParser.h>`

Inherits Stream.

## Public Member Functions
| pfodRawCmdParser ()
void | connect (Stream *ioPtr)
byte | parse ()
byte * | getRawCmd ()
byte | getParserState ()
| pfodWaitingForStart if outside msg pfodMsgStarted if just seen opening { pfodInMsg in msg after { pfodMsgEnd if just seen closing } More...
size_t | write (uint8_t c)
int | available ()
int | read ()
int | peek ()
void | flush ()
Stream * | getPfodAppStream ()
void | init ()
byte | parse (byte in)
void | setDisconnect ()
void | closeConnection ()

## Detailed Description

Definition at line 41 of file pfodRawCmdParser.h.

## Constructor & Destructor Documentation

## ◆ pfodRawCmdParser()

pfodRawCmdParser::pfodRawCmdParser | ( |  | ) |

## Member Function Documentation

## ◆ available()

int pfodRawCmdParser::available | ( |  | ) |

## ◆ closeConnection()

void pfodRawCmdParser::closeConnection | ( |  | ) |

## ◆ connect()

void pfodRawCmdParser::connect | ( | Stream * | ioPtr | ) |

## ◆ flush()

void pfodRawCmdParser::flush | ( |  | ) |

## ◆ getParserState()

byte pfodRawCmdParser::getParserState | ( |  | ) |

pfodWaitingForStart if outside msg pfodMsgStarted if just seen opening { pfodInMsg in msg after { pfodMsgEnd if just seen closing }

## ◆ getPfodAppStream()

Stream* pfodRawCmdParser::getPfodAppStream | ( |  | ) |

## ◆ getRawCmd()

byte* pfodRawCmdParser::getRawCmd | ( |  | ) |

## ◆ init()

void pfodRawCmdParser::init | ( |  | ) |

## ◆ parse() [1/2]

byte pfodRawCmdParser::parse | ( |  | ) |

## ◆ parse() [2/2]

byte pfodRawCmdParser::parse | ( | byte | in | ) |

## ◆ peek()

int pfodRawCmdParser::peek | ( |  | ) |

## ◆ read()

int pfodRawCmdParser::read | ( |  | ) |

## ◆ setDisconnect()

void pfodRawCmdParser::setDisconnect | ( |  | ) |

## ◆ write()

size_t pfodRawCmdParser::write | ( | uint8_t | c | ) |